"OpenCola" by "William Moore".

Chapter 0 - The License

[
    OpenCola - An Interactive Fiction detailing the recipe
    Copyright (C) 2023  William Moore

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
]

Chapter 1 - General Setup

The release number is 1.
The story headline is "An interactive fiction of the OpenCola recipe".
The story description is "An interactive fiction based on the recipe for OpenCola.".
Release along with cover art, an interpreter, source text, and library card.
Include Basic Screen Effects by Emily Short.

Chapter 2 - Rooms and Doors

Foyer is a room. The description is "The Foyer is a tragedy of a mess of papers littering the floor and filing cabinets.".
Ingredients is a room. The description is "Inside this room, you can find the ingredients for the drink.".

Entrance to Ingredients is a door. It is outside from the Foyer and inside from the Ingredients. The description is "A stainless steel door with the words 'Ingredients Room' etched in big letters on the middle.".

Chapter 3 - Actors

Knight of Mixing is a man. He is in Foyer. The description is "A steel plated knight with a steel helm and a sword at his side.".

Chapter 4 - Things

Chapter 5 - Tables

Table of Basic Help Commands
command	description
"north"	"Move north"
"south"	"Move south"
"east"	"Move east"
"west"	"Move west"
"northeast"	"Move northeast"
"northwest"	"Move northwest"
"southeast"	"Move southeast"
"southwest"	"Move southwest"
"up"	"Move up"
"down"	"Move down"
"look"	"Looks around at current location"
"save"	"Save state to a file"
"restore"	"Restores a saved state"
"restart"	"Restarts the game"
"verbose"	"Gives full description after each command"
"diagnostic"	"Give description of health"
"brief"	"Give a description upon first entering an area"
"superbrief"	"Never describe an area"
"quit"	"Quit game"
"climb"	"Climbs (up)"
"g"	"Redo last command"
"go (direction)"	"Go towards direction (west/east/north/south/in/out/into)"
"enter"	"In to the place"
"in"	"Go into something"
"out"	"Go out of the place"
"get/take (item)"	"Removes item from current room and places it in your inventory"
"get/take all"	"Takes all takeable objects in room"
"throw (item) at (location)"	"Throws the item at something"
"open (container)"	"Opens the container, whether it is in the room or your inventory"
"open (exit)"	"Opens the exit for travel"
"read (item)"	"Reads what is written on readable item"
"drop (item)"	"Removes item from inventory and places it in current room"
"put (item) in (container)"	"Removes item from inventory and places it in container"
"turn (control) with (item)"	"Attempts to operate the control with the item"
"turn on (item)"	"Turns on the item"
"turn off (item)"	"Turns the item off"
"move (object)"	"Moves a large object that cannot be picked up"
"attack (creature) with (item)"	"Attacks creature with the item"
"examine (object)"	"Examines, or looks, at an object or item or location"
"inventory"	"Shows contents of the inventory"
"eat"	"Eats item (specifically food)"
"shout"	"Shout it out (shout it out loud)"
"close (Door)"	"Closes door"
"tie (item) to (object)"	"Ties item to object"
"pick (item)"	"Take/get item"
"break (item) with (item)"	"Breaks item"
"kill (creature) with (item)"	"Attacks creature with the item"
"drink"	"Drink an item"
"smell"	"Smell an item"
"cut (object/item) with (weapon)"	"Comment: Strange concept, cutting the (object/item). If (object/item)=self then you commit suicide"
"listen (target)"	"Listens to a creature or an item"
"slap (target)"	"Slap the target viciously."
"poke (target)"	"Poke a target."
"credits"	"Display the credits for this game"
"talk to"	"You will talk to someone for once in your life."

Chapter 6 - Actions

Understand "credits" as credits. Credits is an action applying to nothing.
Carry out credits:
	say "I would like to first and foremost thank [bold type]Nina Nadu[roman type], my wife, for being my everything.

	Next, I would like to thank my kids [bold type]Olivia[roman type] and [bold type]Henry[roman type] for being the rambuncious lot that you both are and having a special place in my heart!".

Understand "help" as helping. Helping is an action applying to nothing.
Carry out helping:
	say "[bold type]Basic Commands:[roman type][line break]";
	repeat through Table of Basic Help Commands:
		say "[bold type][command entry]:[roman type] [description entry][line break]";
	pause the game.

Chapter 7 - The Game

When play begins:
	say "Making soft drinks is not for the faint of heart, nor the dirty of finger. It is a solemn enterprise not to be entered into lightly, as with marriage or buying used farm machinery.
[paragraph break]With any food-prep, failure to observe basic hygienic principles, follow directions, and exercise common sense can have grave consequences. OpenCola assumes no liability for any problems that arise out of the use of this document. Proceed at your own risk. No one's putting a gun to your head, so don't bother if you can't boil water.
[paragraph break]Improper use of cola might result in blunt trauma, puncture wounds, physical illness, mental illness, caffeine 
[paragraph break]dependency, dental necrosis, acid reflux, death, devastation, and random tax audits. Or it might not.
[paragraph break]A list of warnings has been provided below. We did not include them for our health - we included them for yours. 
[paragraph break]Read them. Know them. Follow them. Tattoo them to your backside.
[paragraph break]Just in case you have any doubt: following the directions below may be hazardous to your health and property. You assume any and all risk arising from the manufacture and consumption of cola.
[paragraph break][bold type]An important note:[roman type] this is not the recipe for 'OpenCola' - that is, the canned beverage from OpenCola that you may have received at a trade show, or other venue or outlet. Making canned cola requires millions of dollars in abstruse gear and manufacturing gizmos. It's easier to make nerve gas than manufacture cola. This is a kitchensink recipe that you can make all on your own. It is our kitchen-sink recipe. We figured it out somewhere between coding the COLA SDK and debugging the Linux build of the clerver.
[paragraph break]Anyway, we've tried to be nice about the disclaimer. If it's not good enough for you, here's what our lawyers have to say about the whole shootin' match.
[paragraph break]By copying and/or distributing the Program, you hereby agree to the following: 
[paragraph break][bold type]Indemnity:[roman type] You shall indemnify, defend, and hold harmless OpenCola, its affiliates, directors, officers, and 
employees from and against any third-party claim, demand, cause of action, debt, liability, cost or expense 
(including, but not limited to, reasonable attorneys' fees) arising out of your use of the Recipe, or any derivative 
thereof, including, but not limited to, any claims arising from your distribution of soft drink based on the Recipe or 
any derivatives thereof.
[paragraph break][bold type]International:[roman type] OpenCola makes no representation that the Recipe, or any soft drink based on the Recipe or any 
derivatives thereof, may be appropriate for use in locations outside of the United States or Canada, and accessing 
them from any location where their use is illegal is prohibited. If you choose to access this Recipe from any 
location outside of the United States or Canada, you do so at your own risk, and are responsible for compliance
with all local laws.
[paragraph break][bold type]License:[roman type]
OpenCola soda is distributed under the terms of the General Public License (GPL), a copy of which is appended to 
the bottom of this document. Please check out Richard Stallman's Free Software Foundation. He wrote the GPL 
and has plenty of interesting documentation on the site.";
	pause the game.